using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Benday.TddWithRepository.Business
{
    public class UserFacadeWithRepository
    {
        public UserFacadeWithRepository(IUserRepository repository)
        {
            if (repository == null)
            {
                throw new ArgumentNullException("repository", "Argument cannot be null.");
            }

            m_repositoryInstance = repository;
        }

        private IUserRepository m_repositoryInstance;

        public bool UsernameExists(string username)
        {
            // UserDataAccess da = new UserDataAccess();
            // User user = da.GetByUserName(username);

            User user = m_repositoryInstance.GetByUserName(username);

            if (user != null)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
    }
}
